diff --git a/src/emu/x86run.c b/src/emu/x86run.c
index 05cf6c35b9..ef11fe14de 100755
--- a/src/emu/x86run.c
+++ b/src/emu/x86run.c
@@ -1173,6 +1173,12 @@ int Run(x86emu_t *emu, int step)
                 tmp8s = ACCESS_FLAG(F_DF)?-1:+1;
                 tmp32u = R_ECX;
                 switch(nextop) {
+                    case 0x18:
+                    case 0x19:
+                    case 0x1A:
+                    case 0x1B:
+                    case 0x1C:
+                    case 0x1D:
                     case 0x40:
                     case 0x41:
                     case 0x42:
